org.wildfly.swarm.config.messaging.activemq.server

## Class PooledConnectionFactory<T extends PooledConnectionFactory<T>>

- java.lang.Object
- - org.wildfly.swarm.config.messaging.activemq.server.PooledConnectionFactory<T>

-     public class PooledConnectionFactory<T extends PooledConnectionFactory<T>>
      extends Object

  Defines a managed connection factory.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PooledConnectionFactory(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `allowLocalTransactions()` Allow local transactions for outbond JMS Sessions (it does not apply to JMSContext that explicitly disallows it).
    `T` | `allowLocalTransactions(Boolean value)` Allow local transactions for outbond JMS Sessions (it does not apply to JMSContext that explicitly disallows it).
    `Boolean` | `autoGroup()` The autogroup.
    `T` | `autoGroup(Boolean value)` The autogroup.
    `Boolean` | `blockOnAcknowledge()` True to set block on acknowledge.
    `T` | `blockOnAcknowledge(Boolean value)` True to set block on acknowledge.
    `Boolean` | `blockOnDurableSend()` True to set block on durable send.
    `T` | `blockOnDurableSend(Boolean value)` True to set block on durable send.
    `Boolean` | `blockOnNonDurableSend()` True to set block on non durable send.
    `T` | `blockOnNonDurableSend(Boolean value)` True to set block on non durable send.
    `Boolean` | `cacheLargeMessageClient()` True to cache large messages.
    `T` | `cacheLargeMessageClient(Boolean value)` True to cache large messages.
    `Long` | `callFailoverTimeout()` The timeout to use when fail over is in process (in ms).
    `T` | `callFailoverTimeout(Long value)` The timeout to use when fail over is in process (in ms).
    `Long` | `callTimeout()` The call time out.
    `T` | `callTimeout(Long value)` The call time out.
    `Long` | `clientFailureCheckPeriod()` The client failure check period.
    `T` | `clientFailureCheckPeriod(Long value)` The client failure check period.
    `String` | `clientId()` The client id.
    `T` | `clientId(String value)` The client id.
    `Boolean` | `compressLargeMessages()` Whether large messages should be compressed.
    `T` | `compressLargeMessages(Boolean value)` Whether large messages should be compressed.
    `Integer` | `confirmationWindowSize()` The confirmation window size.
    `T` | `confirmationWindowSize(Integer value)` The confirmation window size.
    `String` | `connectionLoadBalancingPolicyClassName()` Name of a class implementing a client-side load balancing policy that a client can use to load balance sessions across different nodes in a cluster.
    `T` | `connectionLoadBalancingPolicyClassName(String value)` Name of a class implementing a client-side load balancing policy that a client can use to load balance sessions across different nodes in a cluster.
    `Long` | `connectionTtl()` The connection ttl.
    `T` | `connectionTtl(Long value)` The connection ttl.
    `T` | `connector(String value)` Defines the connectors.
    `List<String>` | `connectors()` Defines the connectors.
    `T` | `connectors(List<String> value)` Defines the connectors.
    `T` | `connectors(String... args)` Defines the connectors.
    `Integer` | `consumerMaxRate()` The consumer max rate.
    `T` | `consumerMaxRate(Integer value)` The consumer max rate.
    `Integer` | `consumerWindowSize()` The consumer window size.
    `T` | `consumerWindowSize(Integer value)` The consumer window size.
    `Map` | `credentialReference()` Credential (from Credential Store) to authenticate the pooled connection factory
    `T` | `credentialReference(Map value)` Credential (from Credential Store) to authenticate the pooled connection factory
    `T` | `credentialReference(String key, Object value)` Credential (from Credential Store) to authenticate the pooled connection factory
    `List<String>` | `deserializationBlackList()` A list of class names (separated by whitespaces) that are black-listed to be used in serialization of JMS ObjectMessage.
    `T` | `deserializationBlackList(List<String> value)` A list of class names (separated by whitespaces) that are black-listed to be used in serialization of JMS ObjectMessage.
    `T` | `deserializationBlackList(String... args)` A list of class names (separated by whitespaces) that are black-listed to be used in serialization of JMS ObjectMessage.
    `T` | `deserializationBlackList(String value)` A list of class names (separated by whitespaces) that are black-listed to be used in serialization of JMS ObjectMessage.
    `List<String>` | `deserializationWhiteList()` A list of class names (separated by whitespaces) that are white-listed to be used in serialization of JMS ObjectMessage.
    `T` | `deserializationWhiteList(List<String> value)` A list of class names (separated by whitespaces) that are white-listed to be used in serialization of JMS ObjectMessage.
    `T` | `deserializationWhiteList(String... args)` A list of class names (separated by whitespaces) that are white-listed to be used in serialization of JMS ObjectMessage.
    `T` | `deserializationWhiteList(String value)` A list of class names (separated by whitespaces) that are white-listed to be used in serialization of JMS ObjectMessage.
    `String` | `discoveryGroup()` The discovery group name.
    `T` | `discoveryGroup(String value)` The discovery group name.
    `Integer` | `dupsOkBatchSize()` The dups ok batch size.
    `T` | `dupsOkBatchSize(Integer value)` The dups ok batch size.
    `Boolean` | `enlistmentTrace()` Enables IronJacamar to record enlistment traces for this pooled-connection-factory.
    `T` | `enlistmentTrace(Boolean value)` Enables IronJacamar to record enlistment traces for this pooled-connection-factory.
    `List<String>` | `entries()` The jndi names the connection factory should be bound to.
    `T` | `entries(List<String> value)` The jndi names the connection factory should be bound to.
    `T` | `entries(String... args)` The jndi names the connection factory should be bound to.
    `T` | `entry(String value)` The jndi names the connection factory should be bound to.
    `Boolean` | `failoverOnInitialConnection()` True to fail over on initial connection.
    `T` | `failoverOnInitialConnection(Boolean value)` True to fail over on initial connection.
    `String` | `getKey()`
    `String` | `groupId()` The group id.
    `T` | `groupId(String value)` The group id.
    `Boolean` | `ha()` Whether the connection factory supports High Availability.
    `T` | `ha(Boolean value)` Whether the connection factory supports High Availability.
    `Integer` | `initialConnectAttempts()` The number of attempts to connect initially with this factory.
    `T` | `initialConnectAttempts(Integer value)` The number of attempts to connect initially with this factory.
    `Integer` | `initialMessagePacketSize()` The initial size of messages created through this factory.
    `T` | `initialMessagePacketSize(Integer value)` The initial size of messages created through this factory.
    `String` | `jndiParams()` The JNDI params to use for locating the destination for incoming connections.
    `T` | `jndiParams(String value)` The JNDI params to use for locating the destination for incoming connections.
    `String` | `managedConnectionPool()` The class name of the managed connection pool used by this pooled-connection-factory.
    `T` | `managedConnectionPool(String value)` The class name of the managed connection pool used by this pooled-connection-factory.
    `Integer` | `maxPoolSize()` The maximum size for the pool
    `T` | `maxPoolSize(Integer value)` The maximum size for the pool
    `Long` | `maxRetryInterval()` The max retry interval.
    `T` | `maxRetryInterval(Long value)` The max retry interval.
    `Integer` | `minLargeMessageSize()` The min large message size.
    `T` | `minLargeMessageSize(Integer value)` The min large message size.
    `Integer` | `minPoolSize()` The minimum size for the pool
    `T` | `minPoolSize(Integer value)` The minimum size for the pool
    `String` | `password()` The default password to use with this connection factory.
    `T` | `password(String value)` The default password to use with this connection factory.
    `Boolean` | `preAcknowledge()` True to pre-acknowledge.
    `T` | `preAcknowledge(Boolean value)` True to pre-acknowledge.
    `Integer` | `producerMaxRate()` The producer max rate.
    `T` | `producerMaxRate(Integer value)` The producer max rate.
    `Integer` | `producerWindowSize()` The producer window size.
    `T` | `producerWindowSize(Integer value)` The producer window size.
    `String` | `protocolManagerFactory()` The protocol manager factory used by this pooled connection factory.
    `T` | `protocolManagerFactory(String value)` The protocol manager factory used by this pooled connection factory.
    `Boolean` | `rebalanceConnections()` Rebalance inbound connections when cluster topology changes.
    `T` | `rebalanceConnections(Boolean value)` Rebalance inbound connections when cluster topology changes.
    `Integer` | `reconnectAttempts()` The reconnect attempts.
    `T` | `reconnectAttempts(Integer value)` The reconnect attempts.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Long` | `retryInterval()` The retry interval.
    `T` | `retryInterval(Long value)` The retry interval.
    `BigDecimal` | `retryIntervalMultiplier()` The retry interval multiplier.
    `T` | `retryIntervalMultiplier(BigDecimal value)` The retry interval multiplier.
    `Integer` | `scheduledThreadPoolMaxSize()` The scheduled thread pool max size.
    `T` | `scheduledThreadPoolMaxSize(Integer value)` The scheduled thread pool max size.
    `Integer` | `setupAttempts()` The number of times to set up an MDB endpoint
    `T` | `setupAttempts(Integer value)` The number of times to set up an MDB endpoint
    `Long` | `setupInterval()` The interval between attempts at setting up an MDB endpoint.
    `T` | `setupInterval(Long value)` The interval between attempts at setting up an MDB endpoint.
    `Boolean` | `statisticsEnabled()` Define whether runtime statistics are enabled.
    `T` | `statisticsEnabled(Boolean value)` Define whether runtime statistics are enabled.
    `Integer` | `threadPoolMaxSize()` The thread pool max size.
    `T` | `threadPoolMaxSize(Integer value)` The thread pool max size.
    `String` | `transaction()` The type of transaction supported by this pooled connection factory (can be LOCAL, NONE or XA, default is XA).
    `T` | `transaction(String value)` The type of transaction supported by this pooled connection factory (can be LOCAL, NONE or XA, default is XA).
    `Integer` | `transactionBatchSize()` The transaction batch size.
    `T` | `transactionBatchSize(Integer value)` The transaction batch size.
    `Boolean` | `useAutoRecovery()` True to use auto recovery.
    `T` | `useAutoRecovery(Boolean value)` True to use auto recovery.
    `Boolean` | `useGlobalPools()` True to use global pools.
    `T` | `useGlobalPools(Boolean value)` True to use global pools.
    `Boolean` | `useJndi()` Use JNDI to locate the destination for incoming connections
    `T` | `useJndi(Boolean value)` Use JNDI to locate the destination for incoming connections
    `Boolean` | `useLocalTx()` Use a local transaction for incoming sessions
    `T` | `useLocalTx(Boolean value)` Use a local transaction for incoming sessions
    `String` | `user()` The default username to use with this connection factory.
    `T` | `user(String value)` The default username to use with this connection factory.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PooledConnectionFactory

          public PooledConnectionFactory(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### autoGroup

          public Boolean autoGroup()

      The autogroup.

    - #### autoGroup

          public T autoGroup(Boolean value)

      The autogroup.

    - #### blockOnAcknowledge

          public Boolean blockOnAcknowledge()

      True to set block on acknowledge.

    - #### blockOnAcknowledge

          public T blockOnAcknowledge(Boolean value)

      True to set block on acknowledge.

    - #### blockOnDurableSend

          public Boolean blockOnDurableSend()

      True to set block on durable send.

    - #### blockOnDurableSend

          public T blockOnDurableSend(Boolean value)

      True to set block on durable send.

    - #### blockOnNonDurableSend

          public Boolean blockOnNonDurableSend()

      True to set block on non durable send.

    - #### blockOnNonDurableSend

          public T blockOnNonDurableSend(Boolean value)

      True to set block on non durable send.

    - #### cacheLargeMessageClient

          public Boolean cacheLargeMessageClient()

      True to cache large messages.

    - #### cacheLargeMessageClient

          public T cacheLargeMessageClient(Boolean value)

      True to cache large messages.

    - #### callFailoverTimeout

          public Long callFailoverTimeout()

      The timeout to use when fail over is in process (in ms).

    - #### callFailoverTimeout

          public T callFailoverTimeout(Long value)

      The timeout to use when fail over is in process (in ms).

    - #### callTimeout

          public Long callTimeout()

      The call time out.

    - #### callTimeout

          public T callTimeout(Long value)

      The call time out.

    - #### clientFailureCheckPeriod

          public Long clientFailureCheckPeriod()

      The client failure check period.

    - #### clientFailureCheckPeriod

          public T clientFailureCheckPeriod(Long value)

      The client failure check period.

    - #### clientId

          public String clientId()

      The client id.

    - #### clientId

          public T clientId(String value)

      The client id.

    - #### compressLargeMessages

          public Boolean compressLargeMessages()

      Whether large messages should be compressed.

    - #### compressLargeMessages

          public T compressLargeMessages(Boolean value)

      Whether large messages should be compressed.

    - #### confirmationWindowSize

          public Integer confirmationWindowSize()

      The confirmation window size.

    - #### confirmationWindowSize

          public T confirmationWindowSize(Integer value)

      The confirmation window size.

    - #### connectionLoadBalancingPolicyClassName

          public String connectionLoadBalancingPolicyClassName()

      Name of a class implementing a client-side load balancing policy that a client can use to load balance sessions across different nodes in a cluster.

    - #### connectionLoadBalancingPolicyClassName

          public T connectionLoadBalancingPolicyClassName(String value)

      Name of a class implementing a client-side load balancing policy that a client can use to load balance sessions across different nodes in a cluster.

    - #### connectionTtl

          public Long connectionTtl()

      The connection ttl.

    - #### connectionTtl

          public T connectionTtl(Long value)

      The connection ttl.

    - #### connectors

          public List<String> connectors()

      Defines the connectors. These are stored in a map by connector name (with an undefined value). It is possible to pass a list of connector names when writing this attribute.

    - #### connectors

          public T connectors(List<String> value)

      Defines the connectors. These are stored in a map by connector name (with an undefined value). It is possible to pass a list of connector names when writing this attribute.

    - #### connector

          public T connector(String value)

      Defines the connectors. These are stored in a map by connector name (with an undefined value). It is possible to pass a list of connector names when writing this attribute.

    - #### connectors

          public T connectors(String... args)

      Defines the connectors. These are stored in a map by connector name (with an undefined value). It is possible to pass a list of connector names when writing this attribute.

    - #### consumerMaxRate

          public Integer consumerMaxRate()

      The consumer max rate.

    - #### consumerMaxRate

          public T consumerMaxRate(Integer value)

      The consumer max rate.

    - #### consumerWindowSize

          public Integer consumerWindowSize()

      The consumer window size.

    - #### consumerWindowSize

          public T consumerWindowSize(Integer value)

      The consumer window size.

    - #### credentialReference

          public Map credentialReference()

      Credential (from Credential Store) to authenticate the pooled connection factory

    - #### credentialReference

          public T credentialReference(Map value)

      Credential (from Credential Store) to authenticate the pooled connection factory

    - #### credentialReference

          public T credentialReference(String key,
                                       Object value)

      Credential (from Credential Store) to authenticate the pooled connection factory

    - #### deserializationBlackList

          public List<String> deserializationBlackList()

      A list of class names (separated by whitespaces) that are black-listed to be used in serialization of JMS ObjectMessage.

    - #### deserializationBlackList

          public T deserializationBlackList(List<String> value)

      A list of class names (separated by whitespaces) that are black-listed to be used in serialization of JMS ObjectMessage.

    - #### deserializationBlackList

          public T deserializationBlackList(String value)

      A list of class names (separated by whitespaces) that are black-listed to be used in serialization of JMS ObjectMessage.

    - #### deserializationBlackList

          public T deserializationBlackList(String... args)

      A list of class names (separated by whitespaces) that are black-listed to be used in serialization of JMS ObjectMessage.

    - #### deserializationWhiteList

          public List<String> deserializationWhiteList()

      A list of class names (separated by whitespaces) that are white-listed to be used in serialization of JMS ObjectMessage.

    - #### deserializationWhiteList

          public T deserializationWhiteList(List<String> value)

      A list of class names (separated by whitespaces) that are white-listed to be used in serialization of JMS ObjectMessage.

    - #### deserializationWhiteList

          public T deserializationWhiteList(String value)

      A list of class names (separated by whitespaces) that are white-listed to be used in serialization of JMS ObjectMessage.

    - #### deserializationWhiteList

          public T deserializationWhiteList(String... args)

      A list of class names (separated by whitespaces) that are white-listed to be used in serialization of JMS ObjectMessage.

    - #### discoveryGroup

          public String discoveryGroup()

      The discovery group name.

    - #### discoveryGroup

          public T discoveryGroup(String value)

      The discovery group name.

    - #### dupsOkBatchSize

          public Integer dupsOkBatchSize()

      The dups ok batch size.

    - #### dupsOkBatchSize

          public T dupsOkBatchSize(Integer value)

      The dups ok batch size.

    - #### enlistmentTrace

          public Boolean enlistmentTrace()

      Enables IronJacamar to record enlistment traces for this pooled-connection-factory. This attribute is undefined by default and the behaviour is driven by the presence of the ironjacamar.disable_enlistment_trace system property.

    - #### enlistmentTrace

          public T enlistmentTrace(Boolean value)

      Enables IronJacamar to record enlistment traces for this pooled-connection-factory. This attribute is undefined by default and the behaviour is driven by the presence of the ironjacamar.disable_enlistment_trace system property.

    - #### entries

          public List<String> entries()

      The jndi names the connection factory should be bound to.

    - #### entries

          public T entries(List<String> value)

      The jndi names the connection factory should be bound to.

    - #### entry

          public T entry(String value)

      The jndi names the connection factory should be bound to.

    - #### entries

          public T entries(String... args)

      The jndi names the connection factory should be bound to.

    - #### failoverOnInitialConnection

          public Boolean failoverOnInitialConnection()

      True to fail over on initial connection.

    - #### failoverOnInitialConnection

          public T failoverOnInitialConnection(Boolean value)

      True to fail over on initial connection.

    - #### groupId

          public String groupId()

      The group id.

    - #### groupId

          public T groupId(String value)

      The group id.

    - #### ha

          public Boolean ha()

      Whether the connection factory supports High Availability.

    - #### ha

          public T ha(Boolean value)

      Whether the connection factory supports High Availability.

    - #### initialConnectAttempts

          public Integer initialConnectAttempts()

      The number of attempts to connect initially with this factory.

    - #### initialConnectAttempts

          public T initialConnectAttempts(Integer value)

      The number of attempts to connect initially with this factory.

    - #### initialMessagePacketSize

          public Integer initialMessagePacketSize()

      The initial size of messages created through this factory.

    - #### initialMessagePacketSize

          public T initialMessagePacketSize(Integer value)

      The initial size of messages created through this factory.

    - #### managedConnectionPool

          public String managedConnectionPool()

      The class name of the managed connection pool used by this pooled-connection-factory.

    - #### managedConnectionPool

          public T managedConnectionPool(String value)

      The class name of the managed connection pool used by this pooled-connection-factory.

    - #### maxPoolSize

          public Integer maxPoolSize()

      The maximum size for the pool

    - #### maxPoolSize

          public T maxPoolSize(Integer value)

      The maximum size for the pool

    - #### maxRetryInterval

          public Long maxRetryInterval()

      The max retry interval.

    - #### maxRetryInterval

          public T maxRetryInterval(Long value)

      The max retry interval.

    - #### minLargeMessageSize

          public Integer minLargeMessageSize()

      The min large message size.

    - #### minLargeMessageSize

          public T minLargeMessageSize(Integer value)

      The min large message size.

    - #### minPoolSize

          public Integer minPoolSize()

      The minimum size for the pool

    - #### minPoolSize

          public T minPoolSize(Integer value)

      The minimum size for the pool

    - #### password

          public String password()

      The default password to use with this connection factory. This is only needed when pointing the connection factory to a remote host.

    - #### password

          public T password(String value)

      The default password to use with this connection factory. This is only needed when pointing the connection factory to a remote host.

    - #### preAcknowledge

          public Boolean preAcknowledge()

      True to pre-acknowledge.

    - #### preAcknowledge

          public T preAcknowledge(Boolean value)

      True to pre-acknowledge.

    - #### producerMaxRate

          public Integer producerMaxRate()

      The producer max rate.

    - #### producerMaxRate

          public T producerMaxRate(Integer value)

      The producer max rate.

    - #### producerWindowSize

          public Integer producerWindowSize()

      The producer window size.

    - #### producerWindowSize

          public T producerWindowSize(Integer value)

      The producer window size.

    - #### protocolManagerFactory

          public String protocolManagerFactory()

      The protocol manager factory used by this pooled connection factory.

    - #### protocolManagerFactory

          public T protocolManagerFactory(String value)

      The protocol manager factory used by this pooled connection factory.

    - #### reconnectAttempts

          public Integer reconnectAttempts()

      The reconnect attempts. By default, a pooled connection factory will try to reconnect infinitely to the messaging server(s).

    - #### reconnectAttempts

          public T reconnectAttempts(Integer value)

      The reconnect attempts. By default, a pooled connection factory will try to reconnect infinitely to the messaging server(s).

    - #### retryInterval

          public Long retryInterval()

      The retry interval.

    - #### retryInterval

          public T retryInterval(Long value)

      The retry interval.

    - #### retryIntervalMultiplier

          public BigDecimal retryIntervalMultiplier()

      The retry interval multiplier.

    - #### retryIntervalMultiplier

          public T retryIntervalMultiplier(BigDecimal value)

      The retry interval multiplier.

    - #### scheduledThreadPoolMaxSize

          public Integer scheduledThreadPoolMaxSize()

      The scheduled thread pool max size.

    - #### scheduledThreadPoolMaxSize

          public T scheduledThreadPoolMaxSize(Integer value)

      The scheduled thread pool max size.

    - #### statisticsEnabled

          public Boolean statisticsEnabled()

      Define whether runtime statistics are enabled.

    - #### statisticsEnabled

          public T statisticsEnabled(Boolean value)

      Define whether runtime statistics are enabled.

    - #### threadPoolMaxSize

          public Integer threadPoolMaxSize()

      The thread pool max size.

    - #### threadPoolMaxSize

          public T threadPoolMaxSize(Integer value)

      The thread pool max size.

    - #### transaction

          public String transaction()

      The type of transaction supported by this pooled connection factory (can be LOCAL, NONE or XA, default is XA).

    - #### transaction

          public T transaction(String value)

      The type of transaction supported by this pooled connection factory (can be LOCAL, NONE or XA, default is XA).

    - #### transactionBatchSize

          public Integer transactionBatchSize()

      The transaction batch size.

    - #### transactionBatchSize

          public T transactionBatchSize(Integer value)

      The transaction batch size.

    - #### useAutoRecovery

          public Boolean useAutoRecovery()

      True to use auto recovery.

    - #### useAutoRecovery

          public T useAutoRecovery(Boolean value)

      True to use auto recovery.

    - #### useGlobalPools

          public Boolean useGlobalPools()

      True to use global pools.

    - #### useGlobalPools

          public T useGlobalPools(Boolean value)

      True to use global pools.

    - #### user

          public String user()

      The default username to use with this connection factory. This is only needed when pointing the connection factory to a remote host.

    - #### user

          public T user(String value)

      The default username to use with this connection factory. This is only needed when pointing the connection factory to a remote host.

    - #### jndiParams

          public String jndiParams()

      The JNDI params to use for locating the destination for incoming connections.

    - #### jndiParams

          public T jndiParams(String value)

      The JNDI params to use for locating the destination for incoming connections.

    - #### rebalanceConnections

          public Boolean rebalanceConnections()

      Rebalance inbound connections when cluster topology changes.

    - #### rebalanceConnections

          public T rebalanceConnections(Boolean value)

      Rebalance inbound connections when cluster topology changes.

    - #### setupAttempts

          public Integer setupAttempts()

      The number of times to set up an MDB endpoint

    - #### setupAttempts

          public T setupAttempts(Integer value)

      The number of times to set up an MDB endpoint

    - #### setupInterval

          public Long setupInterval()

      The interval between attempts at setting up an MDB endpoint.

    - #### setupInterval

          public T setupInterval(Long value)

      The interval between attempts at setting up an MDB endpoint.

    - #### useJndi

          public Boolean useJndi()

      Use JNDI to locate the destination for incoming connections

    - #### useJndi

          public T useJndi(Boolean value)

      Use JNDI to locate the destination for incoming connections

    - #### useLocalTx

          public Boolean useLocalTx()

      Use a local transaction for incoming sessions

    - #### useLocalTx

          public T useLocalTx(Boolean value)

      Use a local transaction for incoming sessions

    - #### allowLocalTransactions

          public Boolean allowLocalTransactions()

      Allow local transactions for outbond JMS Sessions (it does not apply to JMSContext that explicitly disallows it).

    - #### allowLocalTransactions

          public T allowLocalTransactions(Boolean value)

      Allow local transactions for outbond JMS Sessions (it does not apply to JMSContext that explicitly disallows it).

Copyright © 2017 JBoss by Red Hat. All rights reserved.